idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

IRTS.LangOpts

Description

Synopsis

- inlineAll :: [(Name, LDecl)] -> [(Name, LDecl)]
- nextN :: State Int Name
- doInline :: LDefs -> LDecl -> LDecl

# Documentation

inlineAll :: [(Name, LDecl)] -> [(Name, LDecl)] #

nextN :: State Int Name #

doInline :: LDefs -> LDecl -> LDecl #

Inline inside a declaration.

Variables are still Name at this stage. Need to preserve uniqueness of variable names in the resulting definition, so invent a new name for every variable we encounter